Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1190510 - Review Request: gitshelf - Manage a shelf full of git repos
Summary: Review Request: gitshelf - Manage a shelf full of git repos
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2015-02-08 20:41 UTC by Fernando
Modified: 2015-09-16 03:10 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-15 17:53:50 UTC


Attachments (Terms of Use)

Description Fernando 2015-02-08 20:41:17 UTC
Spec URL: https://mayorga.fedorapeople.org/gitshelf.spec
SRPM URL: https://mayorga.fedorapeople.org/gitshelf-0.0.4-1.fc20.src.rpm

Description: gitshelf - a shelf full of git repos.

Manage a collection of git repos that,
you don't want to manage as sub-modules.

Created to be used to manage a set of
salt states, formula & pillars in a controlled fashion, the default config file
is a YAML file that can also be loaded as a pillar (for whatever reason).
Using
the branch parameter, you can pin a repo to a branch, sha1, tag, whatever you
need ...

Fedora Account System Username:espasmo

Comment 1 Carlos Morel-Riquelme 2015-02-09 09:54:39 UTC
Hi Fernado, this is a informal review. well you have some warnings in the spec file.

rpmlint 
Checking: gitshelf-0.0.4-1.fc22.noarch.rpm
          gitshelf-0.0.4-1.fc22.src.rpm
gitshelf.noarch: W: spelling-error Summary(en_US) repos -> ropes, reps, repose
gitshelf.noarch: W: spelling-error %description -l en_US repos -> ropes, reps, repose
gitshelf.noarch: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
gitshelf.noarch: W: spelling-error %description -l en_US repo -> rope, rep, reps
gitshelf.noarch: W: invalid-license ASL 2
gitshelf.noarch: W: no-manual-page-for-binary gitshelf
gitshelf.src: W: spelling-error Summary(en_US) repos -> ropes, reps, repose
gitshelf.src: W: spelling-error %description -l en_US repos -> ropes, reps, repose
gitshelf.src: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
gitshelf.src: W: spelling-error %description -l en_US repo -> rope, rep, reps
gitshelf.src: W: invalid-license ASL 2
2 packages and 0 specfiles checked; 0 errors, 11 warnings.

-------------------------------------------------------------------------------

1) w: invalid-license ASL 2
- the correct way is "ASL 2.0"
- please see the wiki https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Package_Licensing_Guidelines

2) w: spelling-error
- please change "repo" to "repository"
- please change "config" to "configure"

3) w: no-manual-page-for-binary
- pass this.

4) update this
- release version to "2"
- change version in your changelog

------------------------------------------------------------------------------

finally your spec file should look this 


%global pypi_name gitshelf

Name:           gitshelf
Version:        0.0.4
Release:        2%{?dist}
Summary:        Manage a shelf full of git repositories

License:        ASL 2.0
URL:            https://github.com/gitshelf/gitshelf
Source0:        https://pypi.python.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-setuptools


%description
gitshelf - a shelf full of git repositories.

Manage a collection of git repository that,
you don't want to manage as sub-modules.

Created to be used to manage a set of 
salt states, formula & pillars in a controlled fashion,
the default configuration file is a YAML file
it's can also be loaded as a pillar (for whatever reason).
Using the branch parameter, you can pin a repository to a branch,
sha1, tag, whatever you need ...


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}



%files
%doc README.md
%{_bindir}/*
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Mon Feb 9 2015 Fernando Espinoza <espasmo@fedoraproject.org>
- 0.0.4-2

* Sun Feb 8 2015 Fernando Espinoza <espasmo@fedoraproject.org>
- 0.0.4-3
- Initial Packaging

------------------------------------------------------------------------------

Comment 2 Eduardo Mayorga 2015-08-12 06:43:44 UTC
Any progress here?

Comment 3 Eduardo Mayorga 2015-09-06 17:52:11 UTC
Are you still interested in this review? If so, please comment in this ticket within one week, otherwise I'll close it as per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews#Submitter_not_responding.

Comment 4 Eduardo Mayorga 2015-09-15 17:53:50 UTC
It's been a week so I'm closing this bug. Feel free to submit a new review request if you are interested again.


Note You need to log in before you can comment on or make changes to this bug.